iopattern(1m)

NAME
iopattern - print disk I/O pattern. Uses DTrace.

SYNOPSIS
iopattern [-v] [-d device] [-f filename] [-m mount_point] [interval [count]]

DESCRIPTION
This prints details on the I/O access pattern for the disks, such as percentage of events that were of a random or sequential nature. By default totals for all disks are printed. An event is considered random when the heads seek. This program prints the percentage of events that are random. The size of the seek is not measured - it's either random or not. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
stable - needs the io provider.

OPTIONS

-v  print timestamp, string

-d device
    instance name to snoop (eg, dad0)

-f filename
    full pathname of file to snoop

-m mount_point
    mountpoint for filesystem to snoop

EXAMPLES

Default output, print I/O summary every 1 second,
    # iopattern

Print 10 second samples,
    # iopattern 10

Print 12 x 5 second samples,
    # iopattern 5 12

Snoop events on the root filesystem only,
    # iopattern -m /

FIELDS

%RAN
    percentage of events of a random nature

%SEQ
    percentage of events of a sequential nature

COUNT
    number of I/O events

MIN minimum I/O event size

MAX maximum I/O event size

AVG average I/O event size

KR  total kilobytes read during sample

KW  total kilobytes written during sample

DEVICE
    device name

MOUNT
    mount point

FILE
    filename (basename) for I/O operation

TIME
    timestamp, string

IDEA
Ryan Matteson

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
iopattern will run forever until Ctrl-C is hit, or the specified count is reached.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
iosnoop(1M), iotop(1M), dtrace(1M)